IOS236, is it needed?

Discussion in 'Wii - Hacking' started by Barawer, Apr 23, 2016.

  1. Barawer
    OP

    Barawer GBAtemp Regular

    Member
    194
    65
    Jan 3, 2016
    Iceland
    Hey, I'm soft modding a Wii for my friend after quite a long time without touching a Wii.
    I'm following the guide: https://sites.google.com/site/completesg/home as i have used it in the past and i really liked it.
    In the guide he does mention IOS236, but not in the main guide. should i install it anyway in my friend's Wii or is it not needed anymore?
    Thanks
     
  2. yusuo

    yusuo GBAtemp Addict

    Member
    2,613
    966
    Oct 19, 2006
    a modded ios236 is needed for loading games from usb, or atleast thats the way i remember it being
     
  3. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,769
    9,041
    Oct 27, 2002
    France
    Engine room, learning
    No, it's not needed.

    loading games from USB requires a patched IOS, but NOT the IOS36 (236 is the resulted IOS after patching IOS36).
    IOS236 was used to grant NAND access (to install wads, edit system files, patch signature check, etc.)
    It's not needed anymore as a clean IOS58 can do the same with updated homebrew now.

    Playing games from USB requires an additional patch to redirect Disc access to USB or SD, and IOS236 is not doing it. only Hermes and Waninkoko/d2x are.
     
  4. Glyptofane

    Glyptofane GBAtemp Advanced Fan

    Member
    580
    293
    Feb 12, 2009
    United States
    IOS236 is generally no longer needed, but it's not really a bad idea to have it installed anyway as a safety net or just in case it's needed someday by something that was overlooked.
     
    Barawer and Touko White like this.
  5. Subscriber0101

    Subscriber0101 GBAtemp Regular

    Member
    137
    13
    Jun 9, 2015
    United States
    USA
  6. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,769
    9,041
    Oct 27, 2002
    France
    Engine room, learning
    the guide will let you install this :
    cIOS 249 base 56 v10 beta53-alt
    cIOS 250 base 57 v10 beta52

    But if you don't NEED to use two HDD at the same time, do not install beta53.
    install v10 beta52 instead.
    The beta53 has USB Port1 supports, but EmuNAND compatibility issues.
    It's a choice YOU should make, not the guide for you:

    d2x r52 : good EmuNAND, no USB Port1 support.
    d2x r53 : bad EmuNAND, USB port1 enabled.

    About the IOS base:
    base 56 : faster USB access, not all game working.
    base 57 : slightly slower USB access, more games are working.

    So, if you want to use a "game not compatible with base 56" (such as Call of Duty, just dance, etc.) from USB Port1, then you need a IOS base57 + d2x r53 (v10-alt) !
    This is a thing that this guide is not explaining to you, it only forces you to do things you don't understand and don't know why.

    A good guide should explain the d2x revision differences and let you choose what you need, or in my opinion it should tell users to install r52 only because all previous cIOS were single port, and it was fine so far.
    If the users really want/need port1, then the guide should give the option to such users but not set it as default for everyone as there are more users who want EmuNAND than ones who need dual USB ports. Or at least set r53 to the slot 250 and not the slot 249 which is the default slot for usb loaders!

    Their "own recommendations, based on the experience" seems a little broken to me "based on my own experience helping people on gbatemp".


    Tips:
    There shouldn't be any games requiring IOS base56 but not working with base57.
    So all you need is a cIOS base57, which has better compatibility. instead of wondering why a game is not working and going to a forum to get someone tell you "use 250", you could install base 57 right away and don't have to worry later.

    You could install either only one cIOS :
    cIOS 249 base 57 v10 beta52

    or if you have to use dual USB port and emuNAND, you could install two base 57 with two d2x version :
    cIOS 249 base 57 v10 beta52 (use this one for emuNAND channels, from port0)
    cIOS 250 base 57 v10 beta53-alt (use this one when launching games from port1)
    but dual port is really really not recommended, it's the door to complications and setup issues.
     
    Barawer and hvy109 like this.
  7. Barawer
    OP

    Barawer GBAtemp Regular

    Member
    194
    65
    Jan 3, 2016
    Iceland
    Thank you all! I think i will install it anyway, just to be on the safe side.
    And thank you Cyan, i never knew the differences. i knew it was the right thing asking here :)